# petsc4py.PETSc.TAOLineSearch.ConvergedReason

class petsc4py.PETSc.TAOLineSearch.ConvergedReason

  Bases: `object`

  TAO Line Search Termination Reasons.

  Attributes Summary

  `CONTINUE_SEARCH` | Constant `CONTINUE_SEARCH` of type `int`
  `FAILED_ASCENT` | Constant `FAILED_ASCENT` of type `int`
  `FAILED_BADPARAMETER` | Constant `FAILED_BADPARAMETER` of type `int`
  `FAILED_INFORNAN` | Constant `FAILED_INFORNAN` of type `int`
  `HALTED_LOWERBOUND` | Constant `HALTED_LOWERBOUND` of type `int`
  `HALTED_MAXFCN` | Constant `HALTED_MAXFCN` of type `int`
  `HALTED_OTHER` | Constant `HALTED_OTHER` of type `int`
  `HALTED_RTOL` | Constant `HALTED_RTOL` of type `int`
  `HALTED_UPPERBOUND` | Constant `HALTED_UPPERBOUND` of type `int`
  `HALTED_USER` | Constant `HALTED_USER` of type `int`
  `SUCCESS` | Constant `SUCCESS` of type `int`
  `SUCCESS_USER` | Constant `SUCCESS_USER` of type `int`

  Attributes Documentation

  CONTINUE_SEARCH: int = CONTINUE_SEARCH

    Constant `CONTINUE_SEARCH` of type `int`

  FAILED_ASCENT: int = FAILED_ASCENT

    Constant `FAILED_ASCENT` of type `int`

  FAILED_BADPARAMETER: int = FAILED_BADPARAMETER

    Constant `FAILED_BADPARAMETER` of type `int`

  FAILED_INFORNAN: int = FAILED_INFORNAN

    Constant `FAILED_INFORNAN` of type `int`

  HALTED_LOWERBOUND: int = HALTED_LOWERBOUND

    Constant `HALTED_LOWERBOUND` of type `int`

  HALTED_MAXFCN: int = HALTED_MAXFCN

    Constant `HALTED_MAXFCN` of type `int`

  HALTED_OTHER: int = HALTED_OTHER

    Constant `HALTED_OTHER` of type `int`

  HALTED_RTOL: int = HALTED_RTOL

    Constant `HALTED_RTOL` of type `int`

  HALTED_UPPERBOUND: int = HALTED_UPPERBOUND

    Constant `HALTED_UPPERBOUND` of type `int`

  HALTED_USER: int = HALTED_USER

    Constant `HALTED_USER` of type `int`

  SUCCESS: int = SUCCESS

    Constant `SUCCESS` of type `int`

  SUCCESS_USER: int = SUCCESS_USER

    Constant `SUCCESS_USER` of type `int`